AI Driving Olympics Home Challenges Submissions Jobs

Job 22410

Job ID22410
submission3526
userenicky
user labelBaseline solution using reinforcement learning
challengeaido2-LF-sim-validation
stepstep1-simulation
statusfailed
up to dateyes
evaluator1176
date started
date completed
duration0:01:00
message
InvalidSubmission: T [...]
InvalidSubmission:
Traceback (most recent call last):
  File "experiment_manager.py", line 297, in run_episode
    r: MsgReceived = agent.write_topic_and_expect('get_commands', expect='commands')
  File "/project/src/zuper-nodes/src/zuper_nodes_wrapper/wrapper_outside.py", line 93, in write_topic_and_expect
    ob: MsgReceived = self.read_one(expect_topic=expect, timeout=timeout)
  File "/project/src/zuper-nodes/src/zuper_nodes_wrapper/wrapper_outside.py", line 174, in read_one
    nickname=self.nickname)
  File "/project/src/zuper-nodes/src/zuper_nodes_wrapper/wrapper_outside.py", line 255, in read_reply
    others = read_until_over(fpout, timeout=timeout, nickname=nickname)
  File "/project/src/zuper-nodes/src/zuper_nodes_wrapper/wrapper_outside.py", line 283, in read_until_over
    raise RemoteNodeAborted(m)
zuper_nodes.structures.RemoteNodeAborted: External node "agent" aborted:

error in agent |Exception while handling a message on topic "get_commands".
               |
               || Traceback (most recent call last):
               ||   File "/project/src/zuper-nodes/src/zuper_nodes_wrapper/wrapper.py", line 274, in loop
               ||     handle_message_node(parsed, receiver0, context0)
               ||   File "/project/src/zuper-nodes/src/zuper_nodes_wrapper/wrapper.py", line 428, in handle_message_node
               ||     call_if_fun_exists(agent, expect_fn, data=ob, context=context, timing=timing)
               ||   File "/project/src/zuper-nodes/src/zuper_nodes_wrapper/utils.py", line 18, in call_if_fun_exists
               ||     f(**kwargs)
               ||   File "solution.py", line 48, in on_received_get_commands
               ||     pwm_left, pwm_right = self.compute_action(self.current_image)
               ||   File "solution.py", line 41, in compute_action
               ||     observation = self.preprocessor.preprocess(observation)
               ||   File "/workspace/wrappers.py", line 16, in preprocess
               ||     resizedImage = imresize(obs, self.target_reshape_size)  # .transpose(2, 0, 1)
               ||   File "/usr/local/lib/python3.7/site-packages/numpy/lib/utils.py", line 101, in newfunc
               ||     return func(*args, **kwds)
               ||   File "/usr/local/lib/python3.7/site-packages/scipy/misc/pilutil.py", line 555, in imresize
               ||     im = toimage(arr, mode=mode)
               ||   File "/usr/local/lib/python3.7/site-packages/numpy/lib/utils.py", line 101, in newfunc
               ||     return func(*args, **kwds)
               ||   File "/usr/local/lib/python3.7/site-packages/scipy/misc/pilutil.py", line 327, in toimage
               ||     raise ValueError("'arr' does not have a suitable array shape for "
               || ValueError: 'arr' does not have a suitable array shape for any mode.
               ||

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/project/src/duckietown-challenges/src/duckietown_challenges/cie_concrete.py", line 610, in scoring_context
    yield cie
  File "experiment_manager.py", line 441, in <module>
    wrap(cie)
  File "experiment_manager.py", line 429, in wrap
    main(cie, logdir, attempts)
  File "experiment_manager.py", line 135, in main
    physics_dt=config.physics_dt)
  File "experiment_manager.py", line 301, in run_episode
    raise dc.InvalidSubmission(msg) from e
duckietown_challenges.exceptions.InvalidSubmission: Trouble with communication to the agent.
Hidden. If you are the author, please login using the top-right link or use the dashboard.

Container logs

The logs are hidden.

Highlights

Artifacts

The artifacts are hidden.